---------------------
PatchSet 5335 
Date: 2007/08/15 02:48:03
Author: amosjeffries
Branch: docs
Tag: (none) 
Log:
Let doxygen handle MEMPROXY_CLASS_INLINE() macro nicely.
 - add /**DOCSNOSEMI*/ which gets mapped to a ';' on doc generation.

Members: 
	src/ACLASN.h:1.8->1.8.14.1 
	src/ACLCertificateData.h:1.7->1.7.20.1 
	src/ACLDestinationIP.h:1.5->1.5.26.1 
	src/ACLDomainData.h:1.6->1.6.20.1 
	src/ACLExtUser.h:1.5->1.5.20.1 
	src/ACLHTTPHeaderData.h:1.2->1.2.20.1 
	src/ACLHTTPStatus.h:1.2->1.2.18.1 
	src/ACLIdent.h:1.8->1.8.20.1 
	src/ACLMaxConnection.h:1.4->1.4.20.1 
	src/ACLMaxUserIP.h:1.9->1.9.2.1 
	src/ACLMethodData.h:1.4->1.4.20.1 
	src/ACLMyIP.h:1.5->1.5.26.1 
	src/ACLProxyAuth.h:1.9->1.9.20.1 
	src/ACLRegexData.h:1.6->1.6.20.1 
	src/ACLSourceIP.h:1.5->1.5.26.1 
	src/ACLTimeData.h:1.5->1.5.20.1 
	src/ACLUserData.h:1.8->1.8.20.1 
	src/ESIAssign.h:1.3->1.3.26.1 
	src/ESIInclude.h:1.3->1.3.26.1 
	src/ESILiteral.h:1.4->1.4.26.1 
	src/ESISequence.h:1.4->1.4.26.1 
	src/HttpHeader.h:1.19.2.2->1.19.2.3 
	src/HttpHeaderRange.h:1.9.14.1->1.9.14.2 
	src/HttpRequest.h:1.27.2.1->1.27.2.2 
	src/MemObject.h:1.14.4.1->1.14.4.2 
	src/StoreMetaSTDLFS.h:1.2.6.2->1.2.6.3 

Index: squid3/src/ACLASN.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLASN.h,v
retrieving revision 1.8
retrieving revision 1.8.14.1
diff -u -r1.8 -r1.8.14.1
--- squid3/src/ACLASN.h	29 May 2006 00:50:18 -0000	1.8
+++ squid3/src/ACLASN.h	15 Aug 2007 02:48:03 -0000	1.8.14.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLASN.h,v 1.8 2006/05/29 00:50:18 squidadm Exp $
+ * $Id: ACLASN.h,v 1.8.14.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -72,6 +72,6 @@
     List<int> *data;
 };
 
-MEMPROXY_CLASS_INLINE(ACLASN)
+MEMPROXY_CLASS_INLINE(ACLASN)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLASN_H */
Index: squid3/src/ACLCertificateData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLCertificateData.h,v
retrieving revision 1.7
retrieving revision 1.7.20.1
diff -u -r1.7 -r1.7.20.1
--- squid3/src/ACLCertificateData.h	8 May 2005 15:52:32 -0000	1.7
+++ squid3/src/ACLCertificateData.h	15 Aug 2007 02:48:03 -0000	1.7.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLCertificateData.h,v 1.7 2005/05/08 15:52:32 squidadm Exp $
+ * $Id: ACLCertificateData.h,v 1.7.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -64,6 +64,6 @@
     SSLGETATTRIBUTE *sslAttributeCall;
 };
 
-MEMPROXY_CLASS_INLINE(ACLCertificateData)
+MEMPROXY_CLASS_INLINE(ACLCertificateData)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLCERTIFICATEDATA_H */
Index: squid3/src/ACLDestinationIP.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLDestinationIP.h,v
retrieving revision 1.5
retrieving revision 1.5.26.1
diff -u -r1.5 -r1.5.26.1
--- squid3/src/ACLDestinationIP.h	31 Aug 2004 02:14:26 -0000	1.5
+++ squid3/src/ACLDestinationIP.h	15 Aug 2007 02:48:03 -0000	1.5.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLDestinationIP.h,v 1.5 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: ACLDestinationIP.h,v 1.5.26.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -67,6 +67,6 @@
     static ACLDestinationIP RegistryEntry_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLDestinationIP)
+MEMPROXY_CLASS_INLINE(ACLDestinationIP)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLDESTINATIONIP_H */
Index: squid3/src/ACLDomainData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLDomainData.h,v
retrieving revision 1.6
retrieving revision 1.6.20.1
diff -u -r1.6 -r1.6.20.1
--- squid3/src/ACLDomainData.h	8 May 2005 15:52:32 -0000	1.6
+++ squid3/src/ACLDomainData.h	15 Aug 2007 02:48:03 -0000	1.6.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLDomainData.h,v 1.6 2005/05/08 15:52:32 squidadm Exp $
+ * $Id: ACLDomainData.h,v 1.6.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -55,6 +55,6 @@
     SplayNode<char *> *domains;
 };
 
-MEMPROXY_CLASS_INLINE(ACLDomainData)
+MEMPROXY_CLASS_INLINE(ACLDomainData)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLDOMAINDATA_H */
Index: squid3/src/ACLExtUser.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLExtUser.h,v
retrieving revision 1.5
retrieving revision 1.5.20.1
diff -u -r1.5 -r1.5.20.1
--- squid3/src/ACLExtUser.h	6 May 2005 02:14:57 -0000	1.5
+++ squid3/src/ACLExtUser.h	15 Aug 2007 02:48:03 -0000	1.5.20.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ACLExtUser.h,v 1.5 2005/05/06 02:14:57 squidadm Exp $
+ * $Id: ACLExtUser.h,v 1.5.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -67,6 +66,6 @@
     char const *type_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLExtUser)
+MEMPROXY_CLASS_INLINE(ACLExtUser)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLIDENT_H */
Index: squid3/src/ACLHTTPHeaderData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLHTTPHeaderData.h,v
retrieving revision 1.2
retrieving revision 1.2.20.1
diff -u -r1.2 -r1.2.20.1
--- squid3/src/ACLHTTPHeaderData.h	5 Aug 2006 12:51:07 -0000	1.2
+++ squid3/src/ACLHTTPHeaderData.h	15 Aug 2007 02:48:03 -0000	1.2.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLHTTPHeaderData.h,v 1.2 2006/08/05 12:51:07 squidadm Exp $
+ * $Id: ACLHTTPHeaderData.h,v 1.2.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -57,6 +57,6 @@
     ACLData<char const *> * regex_rule;
 };
 
-MEMPROXY_CLASS_INLINE(ACLHTTPHeaderData)
+MEMPROXY_CLASS_INLINE(ACLHTTPHeaderData)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLHTTPHEADERDATA_H */
Index: squid3/src/ACLHTTPStatus.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLHTTPStatus.h,v
retrieving revision 1.2
retrieving revision 1.2.18.1
diff -u -r1.2 -r1.2.18.1
--- squid3/src/ACLHTTPStatus.h	18 Apr 2006 13:50:53 -0000	1.2
+++ squid3/src/ACLHTTPStatus.h	15 Aug 2007 02:48:03 -0000	1.2.18.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ACLHTTPStatus.h,v 1.2 2006/04/18 13:50:53 squidadm Exp $
+ * $Id: ACLHTTPStatus.h,v 1.2.18.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -75,6 +74,6 @@
     char const *class_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLHTTPStatus)
+MEMPROXY_CLASS_INLINE(ACLHTTPStatus)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLHTTPSTATUS_H */
Index: squid3/src/ACLIdent.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLIdent.h,v
retrieving revision 1.8
retrieving revision 1.8.20.1
diff -u -r1.8 -r1.8.20.1
--- squid3/src/ACLIdent.h	6 May 2005 02:14:58 -0000	1.8
+++ squid3/src/ACLIdent.h	15 Aug 2007 02:48:03 -0000	1.8.20.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ACLIdent.h,v 1.8 2005/05/06 02:14:58 squidadm Exp $
+ * $Id: ACLIdent.h,v 1.8.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -80,6 +79,6 @@
     char const *type_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLIdent)
+MEMPROXY_CLASS_INLINE(ACLIdent)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLIDENT_H */
Index: squid3/src/ACLMaxConnection.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMaxConnection.h,v
retrieving revision 1.4
retrieving revision 1.4.20.1
diff -u -r1.4 -r1.4.20.1
--- squid3/src/ACLMaxConnection.h	6 May 2005 02:14:58 -0000	1.4
+++ squid3/src/ACLMaxConnection.h	15 Aug 2007 02:48:03 -0000	1.4.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMaxConnection.h,v 1.4 2005/05/06 02:14:58 squidadm Exp $
+ * $Id: ACLMaxConnection.h,v 1.4.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -65,6 +65,6 @@
     int limit;
 };
 
-MEMPROXY_CLASS_INLINE(ACLMaxConnection)
+MEMPROXY_CLASS_INLINE(ACLMaxConnection)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLMAXCONNECTION_H */
Index: squid3/src/ACLMaxUserIP.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMaxUserIP.h,v
retrieving revision 1.9
retrieving revision 1.9.2.1
diff -u -r1.9 -r1.9.2.1
--- squid3/src/ACLMaxUserIP.h	9 May 2007 07:50:40 -0000	1.9
+++ squid3/src/ACLMaxUserIP.h	15 Aug 2007 02:48:03 -0000	1.9.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMaxUserIP.h,v 1.9 2007/05/09 07:50:40 squidadm Exp $
+ * $Id: ACLMaxUserIP.h,v 1.9.2.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -81,6 +81,6 @@
     flags;
 };
 
-MEMPROXY_CLASS_INLINE(ACLMaxUserIP)
+MEMPROXY_CLASS_INLINE(ACLMaxUserIP)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLMAXUSERIP_H */
Index: squid3/src/ACLMethodData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMethodData.h,v
retrieving revision 1.4
retrieving revision 1.4.20.1
diff -u -r1.4 -r1.4.20.1
--- squid3/src/ACLMethodData.h	8 May 2005 15:52:32 -0000	1.4
+++ squid3/src/ACLMethodData.h	15 Aug 2007 02:48:03 -0000	1.4.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMethodData.h,v 1.4 2005/05/08 15:52:32 squidadm Exp $
+ * $Id: ACLMethodData.h,v 1.4.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -58,6 +58,6 @@
     List<method_t> *values;
 };
 
-MEMPROXY_CLASS_INLINE(ACLMethodData)
+MEMPROXY_CLASS_INLINE(ACLMethodData)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLMETHODDATA_H */
Index: squid3/src/ACLMyIP.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMyIP.h,v
retrieving revision 1.5
retrieving revision 1.5.26.1
diff -u -r1.5 -r1.5.26.1
--- squid3/src/ACLMyIP.h	31 Aug 2004 02:14:26 -0000	1.5
+++ squid3/src/ACLMyIP.h	15 Aug 2007 02:48:03 -0000	1.5.26.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLMyIP.h,v 1.5 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: ACLMyIP.h,v 1.5.26.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -53,6 +53,6 @@
     static ACLMyIP RegistryEntry_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLMyIP)
+MEMPROXY_CLASS_INLINE(ACLMyIP)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLMYIP_H */
Index: squid3/src/ACLProxyAuth.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLProxyAuth.h,v
retrieving revision 1.9
retrieving revision 1.9.20.1
diff -u -r1.9 -r1.9.20.1
--- squid3/src/ACLProxyAuth.h	6 May 2005 02:14:58 -0000	1.9
+++ squid3/src/ACLProxyAuth.h	15 Aug 2007 02:48:03 -0000	1.9.20.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ACLProxyAuth.h,v 1.9 2005/05/06 02:14:58 squidadm Exp $
+ * $Id: ACLProxyAuth.h,v 1.9.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -97,6 +96,6 @@
     char const *type_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLProxyAuth)
+MEMPROXY_CLASS_INLINE(ACLProxyAuth)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLPROXYAUTH_H */
Index: squid3/src/ACLRegexData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLRegexData.h,v
retrieving revision 1.6
retrieving revision 1.6.20.1
diff -u -r1.6 -r1.6.20.1
--- squid3/src/ACLRegexData.h	8 May 2005 15:52:32 -0000	1.6
+++ squid3/src/ACLRegexData.h	15 Aug 2007 02:48:03 -0000	1.6.20.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ACLRegexData.h,v 1.6 2005/05/08 15:52:32 squidadm Exp $
+ * $Id: ACLRegexData.h,v 1.6.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -54,6 +53,6 @@
     relist *data;
 };
 
-MEMPROXY_CLASS_INLINE(ACLRegexData)
+MEMPROXY_CLASS_INLINE(ACLRegexData)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLREGEXDATA_H */
Index: squid3/src/ACLSourceIP.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLSourceIP.h,v
retrieving revision 1.5
retrieving revision 1.5.26.1
diff -u -r1.5 -r1.5.26.1
--- squid3/src/ACLSourceIP.h	31 Aug 2004 02:14:26 -0000	1.5
+++ squid3/src/ACLSourceIP.h	15 Aug 2007 02:48:03 -0000	1.5.26.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: ACLSourceIP.h,v 1.5 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: ACLSourceIP.h,v 1.5.26.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -52,6 +51,6 @@
     static ACLSourceIP RegistryEntry_;
 };
 
-MEMPROXY_CLASS_INLINE(ACLSourceIP)
+MEMPROXY_CLASS_INLINE(ACLSourceIP)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLSOURCEIP_H */
Index: squid3/src/ACLTimeData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLTimeData.h,v
retrieving revision 1.5
retrieving revision 1.5.20.1
diff -u -r1.5 -r1.5.20.1
--- squid3/src/ACLTimeData.h	8 May 2005 15:52:32 -0000	1.5
+++ squid3/src/ACLTimeData.h	15 Aug 2007 02:48:03 -0000	1.5.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLTimeData.h,v 1.5 2005/05/08 15:52:32 squidadm Exp $
+ * $Id: ACLTimeData.h,v 1.5.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -62,6 +62,6 @@
     ACLTimeData *next;
 };
 
-MEMPROXY_CLASS_INLINE(ACLTimeData)
+MEMPROXY_CLASS_INLINE(ACLTimeData)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLTIMEDATA_H */
Index: squid3/src/ACLUserData.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLUserData.h,v
retrieving revision 1.8
retrieving revision 1.8.20.1
diff -u -r1.8 -r1.8.20.1
--- squid3/src/ACLUserData.h	8 May 2005 15:52:32 -0000	1.8
+++ squid3/src/ACLUserData.h	15 Aug 2007 02:48:03 -0000	1.8.20.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLUserData.h,v 1.8 2005/05/08 15:52:32 squidadm Exp $
+ * $Id: ACLUserData.h,v 1.8.20.1 2007/08/15 02:48:03 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -67,6 +67,6 @@
     flags;
 };
 
-MEMPROXY_CLASS_INLINE(ACLUserData)
+MEMPROXY_CLASS_INLINE(ACLUserData)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ACLUSERDATA_H */
Index: squid3/src/ESIAssign.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESIAssign.h,v
retrieving revision 1.3
retrieving revision 1.3.26.1
diff -u -r1.3 -r1.3.26.1
--- squid3/src/ESIAssign.h	31 Aug 2004 02:14:26 -0000	1.3
+++ squid3/src/ESIAssign.h	15 Aug 2007 02:48:04 -0000	1.3.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIAssign.h,v 1.3 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: ESIAssign.h,v 1.3.26.1 2007/08/15 02:48:04 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -87,6 +87,6 @@
     String unevaluatedVariable;
 };
 
-MEMPROXY_CLASS_INLINE(ESIAssign)
+MEMPROXY_CLASS_INLINE(ESIAssign)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ESIASSIGN_H */
Index: squid3/src/ESIInclude.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESIInclude.h,v
retrieving revision 1.3
retrieving revision 1.3.26.1
diff -u -r1.3 -r1.3.26.1
--- squid3/src/ESIInclude.h	31 Aug 2004 02:14:26 -0000	1.3
+++ squid3/src/ESIInclude.h	15 Aug 2007 02:48:04 -0000	1.3.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIInclude.h,v 1.3 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: ESIInclude.h,v 1.3.26.1 2007/08/15 02:48:04 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -113,6 +113,6 @@
     void prepareRequestHeaders(HttpHeader &tempheaders, ESIVarState *vars);
 };
 
-MEMPROXY_CLASS_INLINE(ESIInclude)
+MEMPROXY_CLASS_INLINE(ESIInclude)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ESIINCLUDE_H */
Index: squid3/src/ESILiteral.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESILiteral.h,v
retrieving revision 1.4
retrieving revision 1.4.26.1
diff -u -r1.4 -r1.4.26.1
--- squid3/src/ESILiteral.h	31 Aug 2004 02:14:26 -0000	1.4
+++ squid3/src/ESILiteral.h	15 Aug 2007 02:48:04 -0000	1.4.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: ESILiteral.h,v 1.4 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: ESILiteral.h,v 1.4.26.1 2007/08/15 02:48:04 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -72,6 +72,6 @@
     esiLiteral(esiLiteral const &);
 };
 
-MEMPROXY_CLASS_INLINE(esiLiteral)
+MEMPROXY_CLASS_INLINE(esiLiteral)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ESILITERAL_H */
Index: squid3/src/ESISequence.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESISequence.h,v
retrieving revision 1.4
retrieving revision 1.4.26.1
diff -u -r1.4 -r1.4.26.1
--- squid3/src/ESISequence.h	31 Aug 2004 02:14:26 -0000	1.4
+++ squid3/src/ESISequence.h	15 Aug 2007 02:48:04 -0000	1.4.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: ESISequence.h,v 1.4 2004/08/31 02:14:26 squidadm Exp $
+ * $Id: ESISequence.h,v 1.4.26.1 2007/08/15 02:48:04 amosjeffries Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -95,6 +95,6 @@
     void processStep(int dovars);
 };
 
-MEMPROXY_CLASS_INLINE(esiSequence)
+MEMPROXY_CLASS_INLINE(esiSequence)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_ESISEQUENCE_H */
Index: squid3/src/HttpHeader.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/HttpHeader.h,v
retrieving revision 1.19.2.2
retrieving revision 1.19.2.3
diff -u -r1.19.2.2 -r1.19.2.3
--- squid3/src/HttpHeader.h	15 Aug 2007 01:00:00 -0000	1.19.2.2
+++ squid3/src/HttpHeader.h	15 Aug 2007 02:48:04 -0000	1.19.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeader.h,v 1.19.2.2 2007/08/15 01:00:00 amosjeffries Exp $
+ * $Id: HttpHeader.h,v 1.19.2.3 2007/08/15 02:48:04 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -189,7 +189,7 @@
     String value;
 };
 
-MEMPROXY_CLASS_INLINE(HttpHeaderEntry)
+MEMPROXY_CLASS_INLINE(HttpHeaderEntry)          /**DOCS_NOSEMI*/
 
 class HttpHeader
 {
Index: squid3/src/HttpHeaderRange.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/HttpHeaderRange.h,v
retrieving revision 1.9.14.1
retrieving revision 1.9.14.2
diff -u -r1.9.14.1 -r1.9.14.2
--- squid3/src/HttpHeaderRange.h	15 Aug 2007 01:00:00 -0000	1.9.14.1
+++ squid3/src/HttpHeaderRange.h	15 Aug 2007 02:48:04 -0000	1.9.14.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeaderRange.h,v 1.9.14.1 2007/08/15 01:00:00 amosjeffries Exp $
+ * $Id: HttpHeaderRange.h,v 1.9.14.2 2007/08/15 02:48:04 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -63,13 +63,13 @@
     int64_t length;
 };
 
-MEMPROXY_CLASS_INLINE(HttpHdrRangeSpec)
+MEMPROXY_CLASS_INLINE(HttpHdrRangeSpec)          /**DOCS_NOSEMI*/
 
-/* There may be more than one byte range specified in the request.
+/**
+ * There may be more than one byte range specified in the request.
  * This object holds all range specs in order of their appearence
  * in the request because we SHOULD preserve that order.
  */
-
 class HttpHdrRange
 {
 
@@ -113,10 +113,11 @@
     int64_t clen;
 };
 
-MEMPROXY_CLASS_INLINE(HttpHdrRange)
-
-/* data for iterating thru range specs */
+MEMPROXY_CLASS_INLINE(HttpHdrRange)          /**DOCS_NOSEMI*/
 
+/**
+ * Data for iterating thru range specs
+ */
 class HttpHdrRangeIter
 {
 
Index: squid3/src/HttpRequest.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/HttpRequest.h,v
retrieving revision 1.27.2.1
retrieving revision 1.27.2.2
diff -u -r1.27.2.1 -r1.27.2.2
--- squid3/src/HttpRequest.h	15 Aug 2007 01:00:00 -0000	1.27.2.1
+++ squid3/src/HttpRequest.h	15 Aug 2007 02:48:04 -0000	1.27.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpRequest.h,v 1.27.2.1 2007/08/15 01:00:00 amosjeffries Exp $
+ * $Id: HttpRequest.h,v 1.27.2.2 2007/08/15 02:48:04 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -163,6 +163,6 @@
 
 };
 
-MEMPROXY_CLASS_INLINE(HttpRequest)
+MEMPROXY_CLASS_INLINE(HttpRequest)          /**DOCS_NOSEMI*/
 
 #endif /* SQUID_HTTPREQUEST_H */
Index: squid3/src/MemObject.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/MemObject.h,v
retrieving revision 1.14.4.1
retrieving revision 1.14.4.2
diff -u -r1.14.4.1 -r1.14.4.2
--- squid3/src/MemObject.h	15 Aug 2007 01:00:00 -0000	1.14.4.1
+++ squid3/src/MemObject.h	15 Aug 2007 02:48:04 -0000	1.14.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: MemObject.h,v 1.14.4.1 2007/08/15 01:00:00 amosjeffries Exp $
+ * $Id: MemObject.h,v 1.14.4.2 2007/08/15 02:48:04 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -148,7 +148,7 @@
     DeferredReadManager deferredReads;
 };
 
-MEMPROXY_CLASS_INLINE(MemObject)
+MEMPROXY_CLASS_INLINE(MemObject)          /**DOCS_NOSEMI*/
 
 /* global current memory removal policy */
 extern RemovalPolicy *mem_policy;
Index: squid3/src/StoreMetaSTDLFS.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/StoreMetaSTDLFS.h,v
retrieving revision 1.2.6.2
retrieving revision 1.2.6.3
diff -u -r1.2.6.2 -r1.2.6.3
--- squid3/src/StoreMetaSTDLFS.h	15 Aug 2007 01:00:02 -0000	1.2.6.2
+++ squid3/src/StoreMetaSTDLFS.h	15 Aug 2007 02:48:04 -0000	1.2.6.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreMetaSTDLFS.h,v 1.2.6.2 2007/08/15 01:00:02 amosjeffries Exp $
+ * $Id: StoreMetaSTDLFS.h,v 1.2.6.3 2007/08/15 02:48:04 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -48,6 +48,6 @@
     //    bool checkConsistency(StoreEntry *) const;
 };
 
-MEMPROXY_CLASS_INLINE(StoreMetaSTDLFS)
+MEMPROXY_CLASS_INLINE(StoreMetaSTDLFS)		/**DOCS_NOSEMI*/
 
 #endif /* SQUID_STOREMETASTDLFS_H */
